commit:     1e113ea4ee9aefeda5879557ce11af9457433841
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Tue Jan  5 15:12:55 2021 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Tue Jan  5 15:20:27 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1e113ea4

net-misc/netifrc: Revbump to fix a couple of outstanding issues

- Don't run dhcpcd on interface stop if it is not installed
- Removed support for very old dhcpcd versions (1.x - 3.x)
- ppp-2.4.9 renamed "rp-pppoe" plugin to "pppoe" (we now support both)

Bug: https://bugs.gentoo.org/760093
Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 net-misc/netifrc/Manifest                |  1 +
 net-misc/netifrc/netifrc-0.7.1-r2.ebuild | 73 ++++++++++++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/net-misc/netifrc/Manifest b/net-misc/netifrc/Manifest
index 5d0a546d5f8..894075b75f1 100644
--- a/net-misc/netifrc/Manifest
+++ b/net-misc/netifrc/Manifest
@@ -1 +1,2 @@
+DIST netifrc-0.7.1-patches-01.tar.xz 3356 BLAKE2B 
35d34456af5fcb8ac35c80db13484b7b4712543e95441e6be4274934627216879ae6c8421ca2ef0b67a92ab39befb03a4b171a51a54e0e14c10bb6323cfaa4e9
 SHA512 
340cf6184196ee9648565cd2c652cd56eaab4f3f765baff889f736cca05a5ca12a63de5d864c0f9fedc9337f88fd25dac0224118dab39ce7542cd0977f40db6f
 DIST netifrc-0.7.1.tar.gz 82393 BLAKE2B 
a1d147db2a4e4ff7d360bf5140ccf060283dbcbfde7100f1d193c783f1da540574e1342b4d7f3f9ee011628f9f113fc751416805f35678a1093e0cc0014f5eb9
 SHA512 
407071f8f58b7788703a62193677673ddd18114b69142894674337410473e620cf3895bb014cff133f719ac1a7191ac3bedfd969c9a11bf2f1c4b04d39683057

diff --git a/net-misc/netifrc/netifrc-0.7.1-r2.ebuild 
b/net-misc/netifrc/netifrc-0.7.1-r2.ebuild
new file mode 100644
index 00000000000..a4939169d56
--- /dev/null
+++ b/net-misc/netifrc/netifrc-0.7.1-r2.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit systemd udev
+
+DESCRIPTION="Gentoo Network Interface Management Scripts"
+HOMEPAGE="https://www.gentoo.org/proj/en/base/openrc/";
+
+if [[ ${PV} == "9999" ]]; then
+       EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/netifrc.git";
+       #EGIT_REPO_URI="https://github.com/gentoo/${PN}"; # Alternate
+       inherit git-r3
+else
+       SRC_URI="https://gitweb.gentoo.org/proj/${PN}.git/snapshot/${P}.tar.gz";
+       SRC_URI+=" https://dev.gentoo.org/~polynomial-c/${P}-patches-01.tar.xz";
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86"
+fi
+
+LICENSE="BSD-2"
+SLOT="0"
+IUSE=""
+
+DEPEND="!<sys-fs/udev-172"
+RDEPEND="sys-apps/gentoo-functions
+       >=sys-apps/openrc-0.15
+       !<sys-fs/udev-init-scripts-27"
+BDEPEND="kernel_linux? ( virtual/pkgconfig )"
+
+src_prepare() {
+       if [[ ${PV} == "9999" ]] ; then
+               local ver="git-${EGIT_VERSION:0:6}"
+               sed -i "/^GITVER[[:space:]]*=/s:=.*:=${ver}:" mk/git.mk || die
+               einfo "Producing ChangeLog from Git history"
+               GIT_DIR="${S}/.git" git log >"${S}"/ChangeLog
+       fi
+
+       eapply "${WORKDIR}"/patches
+
+       default
+}
+
+src_compile() {
+       MAKE_ARGS="${MAKE_ARGS}
+               UDEVDIR=${EPREFIX}$(get_udevdir)
+               LIBEXECDIR=${EPREFIX}/lib/${PN} PF=${PF}"
+
+       use prefix && MAKE_ARGS+=" MKPREFIX=yes PREFIX=${EPREFIX}"
+
+       emake ${MAKE_ARGS} all
+}
+
+src_install() {
+       emake ${MAKE_ARGS} DESTDIR="${D}" install
+       dodoc README CREDITS FEATURE-REMOVAL-SCHEDULE STYLE TODO
+
+       # Install the service file
+       LIBEXECDIR="${EPREFIX}/lib/${PN}"
+       UNIT_DIR="$(systemd_get_systemunitdir)"
+       sed "s:@LIBEXECDIR@:${LIBEXECDIR}:" "${S}/systemd/net_at.service.in" > 
"${T}/net_at.service" || die
+       systemd_newunit "${T}/net_at.service" '[email protected]'
+       dosym "${UNIT_DIR#${EPREFIX}}/[email protected]" 
"${UNIT_DIR#${EPREFIX}}/[email protected]"
+}
+
+pkg_postinst() {
+       if [[ ! -e "${EROOT}"/etc/conf.d/net && -z ${REPLACING_VERSIONS} ]]; 
then
+               elog "The network configuration scripts will use dhcp by"
+               elog "default to set up your interfaces."
+               elog "If you need to set up something more complete, see"
+               elog "${EROOT}/usr/share/doc/${P}/README"
+       fi
+}

Reply via email to